description: obs_lsst/latiss flat calibration construction
instrument: lsst.obs.lsst.LsstCamImSim
# Do not inherit until defect/linearize/ct work
# inherits:
#   location: $CP_PIPE_DIR/pipelines/cpFlat.yaml
tasks:
  isr:
    class: lsst.ip.isr.isrTask.IsrTask
    config:
      connections.ccdExposure: 'raw'
      connections.outputExposure: 'cpFlatProc'
      doBias: True
      doVariance: True
      doLinearize: False
      doCrosstalk: False
      doDefect: False
      doNanMasking: True
      doInterpolate: True
      doDark: True
      doBrighterFatter: False
      doFlat: False
      doFringe: False
      doApplyGains: False
  cpFlatMeasure:
    class: lsst.cp.pipe.cpFlatNormTask.CpFlatMeasureTask
    config:
      connections.inputExp: 'cpFlatProc'
      connections.outputStats: 'flatStats'
      doVignette: False
  cpFlatNorm:
    class: lsst.cp.pipe.cpFlatNormTask.CpFlatNormalizationTask
    config:
      connections.inputMDs: 'flatStats'
      connections.outputScales: 'cpFlatNormScales'
  cpFlatCombine:
    class: lsst.cp.pipe.cpCombine.CalibCombineTask
    config:
      connections.inputExps: 'cpFlatProc'
      connections.inputScales: 'cpFlatNormScales'
      connections.outputData: 'flat'
      calibrationType: 'flat'
      calibrationDimensions: ['physical_filter']
      exposureScaling: InputList
      scalingLevel: AMP
contracts:
  - isr.doFlat == False
